Subject: bug#31063: 27.0.50; improve help for advised functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 17:50:23 +0200

[email-masked] (Charles A. Roelli) writes:

> Getting help on an advised function looks like this:
>
>> eval-defun is an interactive compiled Lisp function in
>> ‘elisp-mode.el’.
>> 
>> (eval-defun EDEBUG-IT)
>> 
>> :override advice: ‘edebug-eval-defun’
>
> (where ":override advice:" is highlighted in orange)
>
> Could we please remove (or amend) the orange color for readability,
> make the indication of advice a full sentence, and possibly explain
> the meaning of the different advices?

I've now made it into a complete sentence on the Emacs trunk.  I think
it's probably beyond the scope of the doc function to explain what the
advices mean in detail...

I also removed the warning face, but feel free to put that back if
somebody thinks that this deserves a warning.  It seemed a bit too
dramatic to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no